# Deploy the current draft privately
Source: https://docs.simpleserve.ai/docs/api-reference/publisher-deployments/post-publisher-agents-agent_id-deploy-private

Method: POST /v1/publisher/agents/{agent_id}/deploy-private
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/publisher/agents/{agent_id}/deploy-private",
  "method": "POST",
  "tags": [
    "Publisher Deployments"
  ],
  "operationId": "deployAgentPrivately",
  "summary": "Deploy the current draft privately",
  "description": "Creates an immutable version from the current draft and makes it\navailable only inside the publisher Workspace.\n",
  "parameters": [
    {
      "$ref": "#/components/parameters/PublisherAgentId"
    },
    {
      "$ref": "#/components/parameters/IfMatchDraft"
    },
    {
      "$ref": "#/components/parameters/IdempotencyKey"
    }
  ],
  "responses": {
    "201": {
      "description": "The active private deployment.",
      "headers": {
        "location": {
          "description": "URL for the deployment.",
          "schema": {
            "type": "string",
            "format": "uri-reference"
          }
        },
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Deployment"
          },
          "examples": {
            "private": {
              "$ref": "#/components/examples/PrivateDeploymentExample"
            }
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/PublisherForbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "409": {
      "$ref": "#/components/responses/RevisionConflict"
    },
    "422": {
      "$ref": "#/components/responses/DraftInvalid"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```